Subject: [os2genau_digest] No. 697
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 25 Sep 2003 00:03:59 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 24 September 2003
 Number  697
**************************************************

Subjects for today
 
1   SEC: UNCLASSIFIED:- REXX problem : Dennis.Nolan at defence.gov.au
2  Re:  SEC: UNCLASSIFIED:- REXX problem : John Angelico" <talldad at kepl dot com dot au>
3   Need a Web Site Service with MySQL, PHP & OS/2 : Bruce Rossi" <brossi at melbpc dot org dot au>
4  Re:  SEC: UNCLASSIFIED:- REXX problem : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  Travelstar portable HDD : John Angelico" <talldad at kepl dot com dot au>
6   Adapted Copy of MelbPC OS/2 SIG meeting report Sept 2003 : John Angelico" <talldad at kepl dot com dot au>
7  Re:  Travelstar portable HDD : Voytek Eymont <voytek at sbt dot net dot au>
8  Re:  Adapted Copy of MelbPC OS/2 SIG meeting report Sept 2003 : Voytek Eymont <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Wed, 24 Sep 2003 10:28:17 +1100
From:  Dennis.Nolan at defence.gov.au
Subject:   SEC: UNCLASSIFIED:- REXX problem

Hi everyone

I have a problem with REXX

I have a REXX program which updates several files with testing result 
data. 
So having got the program to work correctly when a data file is dropped on 
it 
I then created a small program to read the directory and store the data 
files in an array
and then repeatedly call the other program and pass the data files as a 
parameter

All works well until the 47th data file is processd

I then get the following error messages

REX0003:        ERROR 3 D:\Testing\Store.cmd, line 22: Program is 
unreadable

14+++   call 'd:\Testing\Store.cmd' dataF.i;

REX0040 ERROR 40 Running d:\Testing|StoreAll.cmd, line 14: Incorrect call 
to routine

Store.cmd line 22 is    srcFile = arg(1)

The StoreAll.cmd file is

/* REXX  */

/* Process all data files in sequence */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
drop datF.

call SysFileTree '.\All_Data\*.acc', 'datF', 'FO'

do i = 1 to datF.0
   call 'd:\Testing\Store.cmd'  datF.i
   end;

exit

 Why does it work 46 times and then pack it in on the 47th.

Regards

Dennis

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 24 Sep 2003 16:54:56 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  SEC: UNCLASSIFIED:- REXX problem

On Wed, 24 Sep 2003 10:28:17 +1100, Dennis.Nolan at defence.gov.au wrote:

>Hi everyone
>

Hi Denis.

>I have a problem with REXX
>

I asked my son Chris about it, and he said...

Probably the problem is in something the program does that isn't
state-safe. When CMD.EXE terminates everything's cleaned up, but until then
it isn't.

Look to see if Store.CMD opens lots of files (so there's no file handle
left for the .CMD itself). Alternatively, post the code of Store and I'll
have a look... it could be one of a number of things.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Oh, no! Not *ANOTHER* learning experience!
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 24 Sep 2003 18:25:46 -1000
From:  "Bruce Rossi" <brossi at melbpc dot org dot au>
Subject:   Need a Web Site Service with MySQL, PHP & OS/2

Hello People,

Does anybody know of an Australian web site service that runs MySQL & PHP on OS/2 (eCS) ?

OS/2 (eCS) is not essential, but it would be nice to support people running it, & for the reliability.

Cheap would also be good.

Thanks for the help, in advance

  ,-._|\    Bruce Rossi                 OS/2 Warp 4 for stability, versatility and depth. A True Operating System.
 /  Oz  \ brossi at melbpc dot org dot au The Best -> Rexx, Java, File System, User Interface, MSDOS, Windows 3.1
 \_,--.x/ Melbourne, Australia     Multitasking, Shadows (Pointers to Objects), Associations for Applications.
       v                                        I can work on Solving Real-World Problems, not Operating System Crashes

There are 48 Processes with 158 Threads. This machine's uptime is 0d 2h 11m 17s 419ms.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 24 Sep 2003 17:47:47 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  SEC: UNCLASSIFIED:- REXX problem

I suspect your hitting a nesting limit.

I'd suggest you make both storeall.cmd and store.cmd internal instead of external
sub-routines.

If they *MUST* be, make sure you are exiting them correctly, not just dropping out to
the OS level.

Cheers/2

Ed.

Dennis.Nolan at defence.gov.au wrote:

> Hi everyone
>
> I have a problem with REXX
>
> I have a REXX program which updates several files with testing result
> data.
> So having got the program to work correctly when a data file is dropped on
> it
> I then created a small program to read the directory and store the data
> files in an array
> and then repeatedly call the other program and pass the data files as a
> parameter
>
> All works well until the 47th data file is processd
>
> I then get the following error messages
>
> REX0003:        ERROR 3 D:\Testing\Store.cmd, line 22: Program is
> unreadable
>
> 14+++   call 'd:\Testing\Store.cmd' dataF.i;
>
> REX0040 ERROR 40 Running d:\Testing|StoreAll.cmd, line 14: Incorrect call
> to routine
>
> Store.cmd line 22 is    srcFile = arg(1)
>
> The StoreAll.cmd file is
>
> /* REXX  */
>
> /* Process all data files in sequence */
>
> call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
> call SysLoadFuncs
> drop datF.
>
> call SysFileTree '.\All_Data\*.acc', 'datF', 'FO'
>
> do i = 1 to datF.0
>    call 'd:\Testing\Store.cmd'  datF.i
>    end;
>
> exit
>
>  Why does it work 46 times and then pack it in on the 47th.
>
> Regards
>
> Dennis
>
> [attachments have been removed]

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 24 Sep 2003 20:43:16 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Travelstar portable HDD

On Tue, 16 Sep 2003 06:13:03 +1000, Ed Durrant wrote:

Hi Ed.

Back again from NSW.

>My only uncertainty is that rt angle connector that you have, if i understand correctly, on the
>travelstar. The HD to motherboard connector on the IBM thinkpads is propriety, so unless the
>travelstar was originally designed to go into an IBM laptop, I suspect it won't fit.
>
>The best way to check is take out the existing drive and do a visual compare.

Took out internal HDD from my 760EL. It has a sraight at the rear connector
to the IDE port, so different model different case and clearly a different
animal.

Travelstar sounds to me like a portable, and capable of fitting into an
external caddy (akin to the floppy drive case) for connection via docking
station? PCMCIA slot? or some cable to rear panel?

I only have half of the case so I can see what "ought to be" but I am more
concerned to fit it up in some way that allows me to supplement my
TP-760EL, but without locking me in - if I upgrade the TP, I want to keep
the Travelstar. Hence my original question about fitting it up for PCMCIA
connection.

Best regards
John Angelico
OS/2 SIG
talldad at kepl dot com dot au
________________________

>I'll talk to you again when you get back.
>
>  Cheers/2
>
>   Ed.
>
>John Angelico wrote:
>
>> On Mon, 15 Sep 2003 20:50:43 +1000, Ed Durrant wrote:
>>
>> We may have to pause this discussion Ed, as I have to spend Tuesday doing
>> about 48 hours worth of work <g>.
>>
>>
>> I have a bare disk with connector and part of a plastic case. There is a
>> basic IDE connector attached to the housing, and a flat plastic ribbon
>> connector, akin to printer head connectors (but amber and traslucent),
>> wraps around the case as you said at right angles, and presents a mini
>> connector at the side of the case/housing, fitting into the edge of the
>> plastic outer case.
>>
>

> 

>
>

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... On a clear disk you can seek forever
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 24 Sep 2003 17:55:58 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Adapted Copy of MelbPC OS/2 SIG meeting report Sept 2003

Melbourne PC SIG Meeting Report
Report Date: 24 Sep 2003
Meeting Date: 23 Sep 2003
Report by: John Angelico OS/2 SIG Co-ordinator

News
Once again the purveyors of malware had struck at Windows machines with the
Sven.W32 worm, causing a flood of unnecessary traffic across the internet,
and slowing everybody to a crawl at times. The impact of these electronic
vandals kept Ian Manners our first speaker and network expert at his
support desk. 

Peer Networking
We set ourselves an ambitious target: Demonstrating peer networking among
four machines of mixed OS background:
	OS/2 Warp 4 with latest fixpacks
	OS/2 Warp 4.51 as shipped by IBM Software Choice
	MS-Win95
	MS-Win98 or later.

With the help of Thom Lyons who brought in two machines, the second SIG
machine equipped with Warp 4.5 plus the large SIG machine running a
selected Windows platform, we gave it our best shot.

We effectively demonstrated that cross-platform networling is not kid's
stuff, but eventually overcame various difficulties in connections to see
three of the four machines at a time.

[The following was not reported for publication] 
The Win95 machine caused us the most grief, and it was only some time later
I realised that Win and OS/2 handle networking differently (doh!). Most of
our difficulties in the demo were associated with logons and passwords, so
I discussed our demo with my two lads afterwards. 

OS/2 enforces an explicit logon for all networking services, and requires
that all valid users requesting shared resources across the network be
known on the *sharing* machine as well as on their own *connecting* machine
(OS/2 has User Profile Management tools (UPMACCTS) to handle this but it
isn't easy at first view). 

However, some Windows versions don't necessarily require a logon under all
circumstances, and at other times may do an implicit logon with default
values undetected by the human eye. 

I suspect, but haven't tested, that Windows machines sharing file & print
services (MS File & Print Sharing using SMB) assume that any machine
requesting access to shared resources must have already gone through a
valid local signon, and don't necessarily check before serving up files and
printers as requested.

We will have another go at it in Nov, after exploring various alternatives,
including the Co-ordinated Signon facilities.

Next Meetings:
Oct 28th: Disaster Recovery
Nov 25th: Peer Networking (2); Junk Spy & mail servers 

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 24 Sep 2003 21:52:53
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:  Re:  Travelstar portable HDD

** Reply to note from "John Angelico" <talldad at kepl dot com dot au> Wed, 24 Sep 2003 20:43:16 +1000 (AEST)

> Back again from NSW. 
>  
> >My only uncertainty is that rt angle connector that you have, if i understand correctly, on the 
> >travelstar. The HD to motherboard connector on the IBM thinkpads is propriety, so unless the 
> >travelstar was originally designed to go into an IBM laptop, I suspect it won't fit. 
> > 
> >The best way to check is take out the existing drive and do a visual compare. 
>  
> Took out internal HDD from my 760EL. It has a sraight at the rear connector 
> to the IDE port, so different model different case and clearly a different 
> animal. 
>  
> Travelstar sounds to me like a portable, and capable of fitting into an 
> external caddy (akin to the floppy drive case) for connection via docking 
> station? PCMCIA slot? or some cable to rear panel? 
>  
> I only have half of the case so I can see what "ought to be" but I am more 
> concerned to fit it up in some way that allows me to supplement my 
> TP-760EL, but without locking me in - if I upgrade the TP, I want to keep 
> the Travelstar. Hence my original question about fitting it up for PCMCIA

there used to be fellow reselling TP in US that actuallu had these IBM-TP
cases, I was going to buy one, but it was something like... can't remember,
whatever it was , i felt it was too expensive for a plastic shell and
connector

though, I suspect, it would have been quite lucrative packaging OEM drives
into shells and being able to sell these to TP owners at price below IBM's
HD price.

Voytek Eymont
Checked for Virus's by Asoft Email Scan

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 24 Sep 2003 21:57:56
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:  Re:  Adapted Copy of MelbPC OS/2 SIG meeting report Sept 2003

** Reply to note from "John Angelico" <talldad at kepl dot com dot au> Wed, 24 Sep 2003 17:55:58 +1000 (AEST)

> [The following was not reported for publication]  
> The Win95 machine caused us the most grief, and it was only some time later 
> I realised that Win and OS/2 handle networking differently (doh!). Most of 
> our difficulties in the demo were associated with logons and passwords, so 
> I discussed our demo with my two lads afterwards

John, 

I'd like to connect a win98 or w2k to an OS/2 NB Peer LAN, so what do
I need to do on the windoze PC ?

(I used to know... I used to have w2k machine on an OS/2 LAN till i realized
it was screwing up NB resources.... and, caused PMfax to fail... first time
PMFax ever failed in 3, or 4, or 5 years. anyhow, now I don't reacall what
it needs to have windoze access Warp4 peer ? and, OS/2 access windoze peer ?

Voytek Eymont
Checked for Virus's by Asoft Email Scan

----------------------------------------------------------------------------------